Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class ArrowDesc

    java.lang.Object
      SEdit.ElementDesc
          SEdit.ArrowDesc

    public class ArrowDesc

extends ElementDesc

Field Summary

Fields inherited from class SEdit.ElementDesc
`ACTIONPROPERTIES, actions, category, debug, elementClass, graphicClass, GRAPHICPROPERTIES, icon, PROPERTIES`

Constructor Summary
`ArrowDesc(java.lang.String name, java.lang.String desc, java.lang.String classname, java.lang.String image)`
`ArrowDesc(java.lang.String name, java.lang.String desc, java.lang.String classname, java.lang.String image, java.lang.String from, java.lang.String to)`
`ArrowDesc(java.lang.String name, java.lang.String desc, java.lang.String classname, java.lang.String image, java.lang.String from, java.lang.String to, NodeDesc fd, NodeDesc ft)`

Method Summary
`boolean` | `isConnectable(ElementDesc from, ElementDesc to)`
`boolean` | `isStandardDefaultValue(java.lang.String name, java.lang.String value, int type)`
`java.lang.String` | `toString()`

Methods inherited from class SEdit.ElementDesc
`addActionDesc, addActionDesc, getAction, getActions, getCategory, getDefaultLabel, getDescription, getElementClass, getFormalism, getGraphicClass, getGraphicProperties, getIcon, getName, getProperties, hasActions, hasIcon, isDefaultValue, makeElement, setActions, setCategory, setDefaultLabel, setElementClass, setFormalism, setGraphicClass, setGraphicProperties, setIcon, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArrowDesc

    public ArrowDesc(java.lang.String name,
                     java.lang.String desc,
                     java.lang.String classname,
                     java.lang.String image)

### ArrowDesc

    public ArrowDesc(java.lang.String name,
                     java.lang.String desc,
                     java.lang.String classname,
                     java.lang.String image,
                     java.lang.String from,
                     java.lang.String to)

### ArrowDesc

    public ArrowDesc(java.lang.String name,
                     java.lang.String desc,
                     java.lang.String classname,
                     java.lang.String image,
                     java.lang.String from,
                     java.lang.String to,
                     NodeDesc fd,
                     NodeDesc ft)

Method Detail

### isConnectable

    public boolean isConnectable(ElementDesc from,
                                 ElementDesc to)

### isStandardDefaultValue

    public boolean isStandardDefaultValue(java.lang.String name,
                                          java.lang.String value,
                                          int type)

  Overrides:
    `isStandardDefaultValue` in class `ElementDesc`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ElementDesc`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.